import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _UTType } from "../UniformTypeIdentifiers/UTType.js";
export declare class _QLPreviewReplyAttachment extends _NSObject {
    static alloc(): _QLPreviewReplyAttachment;
    static new(): _QLPreviewReplyAttachment;
    init(): _QLPreviewReplyAttachment;
    /**
     * Create an attachment for html previews by providing the data and mime type of the attachment. The data content of an html preview The UTType of the attachment for an html preview
     */
    initWithData$contentType$(data: _NSData, contentType: _UTType): _QLPreviewReplyAttachment;
    /** The data content of an html preview */
    data(): _NSData;
    /** The content type of the attachment for an html preview */
    contentType(): _UTType;
}
